import request from '@/utils/request'

export function queryAgvStatus(params) {
  return request({
    url: 'api/queryAgvStatus',
    method: 'get',
    params
  })
}

export function add(data) {
  return request({
    url: 'api/agvTask',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/agvTask/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/agvTask',
    method: 'put',
    data
  })
}

export function missionStateCallback(data) {
  return request({
    url: '/interfaces/api/amr/missionStateCallback',
    method: 'post',
    data
  })
}

export function agvTaskCallback(data) {
  return request({
    url: '/api/agvTask/agvTaskCallback',
    method: 'post',
    data
  })
}
export function sendAgvTask(data) {
  return request({
    url: '/api/agvTask/sendAgvTask',
    method: 'post',
    data
  })
}
export function toAgvTaskFinish(data) {
  return request({
    url: '/api/agvTask/toAgvTaskFinish',
    method: 'post',
    data
  })
}
export function cancelInboundTask(data) {
  return request({
    url: '/api/agvTask/cancelInboundTask',
    method: 'post',
    data
  })
}
export default { add, edit, del,missionStateCallback,agvTaskCallback ,sendAgvTask,toAgvTaskFinish,cancelInboundTask}
